# IRdGeometryIdentificationTriangleStream Interface Reference

Inherits IDispatch.

List of all members.

## Public Member Functions
HRESULT | GetNumTriangles ([out, retval] RtDWORD *dwNumVertices)
HRESULT | SetNumTriangles ([in] RtDWORD dwNumTriangles)
## Properties
RtUlong * | i ([in] RtDWORD dwIndex)`[get]`
RtUlong | i ([in] RtDWORD dwIndex)`[set]`
RtUlong * | j ([in] RtDWORD dwIndex)`[get]`
RtUlong | j ([in] RtDWORD dwIndex)`[set]`
RtUlong * | k ([in] RtDWORD dwIndex)`[get]`
RtUlong | k ([in] RtDWORD dwIndex)`[set]`

## Detailed Description

IRdGeometryIdentificationTriangleStream:

- stores secondary UV coordinates indices for each triangle.
- Data stream for this index stream are held by IRdUVSecCoordStream.
- The stream is part of IRdMesh and is stored in Triangle stream group.
- Stream is identified by STREAMID_TRIANGLES_GEOMETRY_IDENTIFICATION id.

## Member Function Documentation

HRESULT IRdGeometryIdentificationTriangleStream::GetNumTriangles | ( | [out, retval] RtDWORD * | dwNumVertices | ) |

Returns:
  dwNumVertices [out,retval] Get number of triangles.

  standard HRESULT processing can be applied to returned value.

HRESULT IRdGeometryIdentificationTriangleStream::SetNumTriangles | ( | [in] RtDWORD | dwNumTriangles | ) |

Parameters:

  | dwNumTriangles | [in] Set number of triangles.

Returns:
  standard HRESULT processing can be applied to returned value.

## Property Documentation

RtUlong * IRdGeometryIdentificationTriangleStream::i([in] RtDWORD dwIndex)`[get]`

Get index of first UV coordinate of i-th triangle.

Parameters:

  | dwIndex | [in] Triangle Index value.

Returns:
  pVal [out,retval] Returns index of first UV coord.

  standard HRESULT processing can be applied to returned value.

RtUlong IRdGeometryIdentificationTriangleStream::i([in] RtDWORD dwIndex)`[set]`

Set index of first UV coordinate of i-th triangle.

Parameters:

  | dwIndex | [in] Triangle index value.
  | newVal | [in] Index value to set.

Returns:
  standard HRESULT processing can be applied to returned value.

RtUlong * IRdGeometryIdentificationTriangleStream::j([in] RtDWORD dwIndex)`[get]`

Get index of second UV coordinate of i-th triangle.

Parameters:

  | dwIndex | [in] Triangle Index value.

Returns:
  pVal [out,retval] Returns index of second UV coord.

  standard HRESULT processing can be applied to returned value.

RtUlong IRdGeometryIdentificationTriangleStream::j([in] RtDWORD dwIndex)`[set]`

Set index of second UV coordinate of i-th triangle.

Parameters:

  | dwIndex | [in] Triangle index value.
  | newVal | [in] Index value to set.

Returns:
  standard HRESULT processing can be applied to returned value.

RtUlong* IRdGeometryIdentificationTriangleStream::k([in] RtDWORD dwIndex)`[get]`

Get index of third UV coordinate of i-th triangle.

Parameters:

  | dwIndex | [in] Triangle Index value.

Returns:
  pVal [out,retval] Returns index of third UV coord.

  standard HRESULT processing can be applied to returned value.

RtUlong IRdGeometryIdentificationTriangleStream::k([in] RtDWORD dwIndex)`[set]`

Set index of third UV coordinate of i-th triangle.

Parameters:

  | dwIndex | [in] Triangle index value.
  | newVal | [in] Index value to set.

Returns:
  standard HRESULT processing can be applied to returned value.